VSTGUI: IMultiBitmapControl Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
IMultiBitmapControl Class Reference

interface for controls with sub images More...

`#include <ccontrol.h>`

Inheritance diagram for IMultiBitmapControl:

## Public Member Functions
virtual | ~IMultiBitmapControl ()
virtual void | setHeightOfOneImage (const CCoord &height)
virtual CCoord | getHeightOfOneImage () const
virtual void | setNumSubPixmaps (int32_t numSubPixmaps)
virtual int32_t | getNumSubPixmaps () const
virtual void | autoComputeHeightOfOneImage ()

## Protected Member Functions
| IMultiBitmapControl ()

## Protected Attributes
CCoord | heightOfOneImage
int32_t | subPixmaps

## Detailed Description

interface for controls with sub images

## Constructor & Destructor Documentation

## ◆ ~IMultiBitmapControl()

virtual ~IMultiBitmapControl | ( |  | ) |
| inlinevirtual

## ◆ IMultiBitmapControl()

IMultiBitmapControl | ( |  | ) |
| inlineprotected

## Member Function Documentation

## ◆ autoComputeHeightOfOneImage()

void autoComputeHeightOfOneImage | ( |  | ) |
| virtual

## ◆ getHeightOfOneImage()

virtual CCoord getHeightOfOneImage | ( |  | ) | const
| inlinevirtual

## ◆ getNumSubPixmaps()

virtual int32_t getNumSubPixmaps | ( |  | ) | const
| inlinevirtual

## ◆ setHeightOfOneImage()

virtual void setHeightOfOneImage | ( | const CCoord & | height | ) |
| inlinevirtual

Reimplemented in CAnimKnob.

## ◆ setNumSubPixmaps()

virtual void setNumSubPixmaps | ( | int32_t | numSubPixmaps | ) |
| inlinevirtual

Reimplemented in CAnimKnob, CAutoAnimation, CKickButton, CMovieBitmap, CMovieButton, CRockerSwitch, and CSwitchBase.

## Member Data Documentation

## ◆ heightOfOneImage

CCoord heightOfOneImage
| protected

## ◆ subPixmaps

int32_t subPixmaps
| protected

The documentation for this class was generated from the following files:

- ccontrol.h
- ccontrol.cpp